Skip to content

API Endpoint Reference (1.0)

Tenovos offers a REST API for partner and customer integrations. This API provides a RESTful endpoint, token-based authorization, HTTP methods for operations, and JSON-formatted payloads. Use this API to incorporate Tenovos functionality into your own application.

This API is up-versioned when a breaking change is introduced such as

  • a change in the format of the response data for one or more calls
  • a change in the request or response type (i.e. changing an integer to a float)
  • removing any part of the API.

This API is not up-versioned for non-breaking changes such as

  • new endpoints
  • new response parameters
  • new optional request parameters
Download OpenAPI description
Languages
Servers
https://enterprise.services.tenovos.io/content-store-v1
https://enterprise-2.services.tenovos.io/content-store-v1
https://enterprise3.services.tenovos.io/content-store-v1
https://enterprise-4.services.tenovos.io/content-store-v1

Action Operations

Invoke the Action API to retrieve information about invoked Actions.

Operations

Asset Operations

Invoke the Asset API to create, retrieve, manipulate, and share Assets. This API also provides operations to manage Asset relationships and download Asset content.

Operations

Authentication Operations

Invoke the Authentication API to generate, refresh, and revoke access tokens. An access token is required to perform any authorized API operation.

Operations

Collection Operations

Invoke the Collection API to create, retrieve, edit, and delete Collections. Collections are used to group and catalog related Assets for quick access and consumption. Collections can be configured as:

  • private: Visible only to the user who created the Collection.
  • secured: Visible to shared users with permission.

When retrieving the Assets within a Collection, the requesting user will only see the Assets that the user has access to view. For example, a librarian may see all Assets within a Collection, but a general consumer user may only see a portion of those Assets, due to limited security access.

Operations

Customer Operations

Invoke the Customer API to retrieve Customer account profile information.

Operations

Metadata Operations

Invoke the Metadata API to retrieve Metadata Template to be applied to Assets during Asset creation. A Metadata Template defines a set of Metadata Attributes of varying types, including Text, Date, Controlled Vocabulary, Tabular, and Cascading Attributes. When a Metadata Template is assigned to a new Asset, the corresponding Metadata Attributes will be available for population on the Asset.

Operations

Search Operations

Search for Collections by Collection name.

Perform Asset searches using keywords or Attribute-specific search terms using the Keyword Search endpoint.

Perform a scan on all assets based on search criteria using a cursor to page through the entire result set of assets.

Operations

Security Operations

Invoke the Metadata API to retrieve Security Template information to be applied to Assets during Asset creation or edit.

Operations

Retrieve a list of Security Templates available to the current User.

Request

User will get the list of Security Templates available to him.

The user submitting the request must have administrator rights to view Security Templates.

In response user will get a list, containing template names and their corresponding template id.

Security
ApiKeyAuth or BasicAuth
Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

curl -i -X GET \
  https://enterprise.services.tenovos.io/content-store-v1/security/template \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'X-API-Key: YOUR_API_KEY_HERE'

Responses

The Response Body is a JSON object.

Bodyapplication/jsonArray [
templateIdstring(uuid)

Template ID

Example: "7d7345d0-f423-11e9-8071-89c0c4052141"
templateNamestring

TemplateName

Example: "No Access"
securityDenormalizedArray of objects(AssetSecurityDenormalized)
templateDocumentArray of objects(TemplateDocument)
]
Response
application/json
[ { "templateId": "7d7345d0-f423-11e9-8071-89c0c4052141", "templateName": "No Access", "securityDenormalized": [ … ], "templateDocument": [ … ] } ]

Retrieve a list of Security Groups.

Request

User will get the list of Security Groups available in the system.

The user submitting the request must have administrator rights to User Management.

In response user will get a list, containing group names and their corresponding group id.

Security
ApiKeyAuth or BasicAuth
Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

curl -i -X GET \
  https://enterprise.services.tenovos.io/content-store-v1/security/groups \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'X-API-Key: YOUR_API_KEY_HERE'

Responses

The Response Body is a JSON object of Security User Groups and ID's.

Bodyapplication/jsonArray [
groupIdstring(uuid)

Group ID of the User Group

Example: "e013bf7a-9702-406b-8d23-1bba004c88d4"
groupNamestring

The name of the User Group associated to the Group ID

Example: "EMEA Marketing"
]
Response
application/json
[ { "groupId": "e013bf7a-9702-406b-8d23-1bba004c88d4", "groupName": "EMEA Marketing" } ]

User Operations

Invoke the User API to retrieve User profile information.

Operations

Proof Operations

Operations

Cart Operations

Operations